#include <crypto/ostring.h>


int main()
{
   ostring s1, s2, s3, s4;

   s1 = "abcdef";
   s2 = ostring(octet(4)) + ostring(octet(5)) + ostring(octet(6));

   s3 = s1 + s2;
   s3 += s3;
   s4 = s3.substr(3, 4);
   dump(s1);
   dump(s2);
   dump(s3);
   dump(s4);
}

